/* ======================== */
/* top Baar */
/* ======================== */
/* Background and base styles */
.top-header-01-main {
  background: var(--e-global-color-accent);
  padding: 12px 0px;
}

.top-header-01-main {
}

/* Header styling */
.top-header-01 {
  color: var(--tidytouch-white, #ffffff);
  padding: 0px 0px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 12px;
  flex-wrap: wrap;
}

.top-header-01 .top-header-01-left-section a {
  color: #fff;
  text-decoration: none;
  font-weight: 500;
}

.top-header-01 .top-header-01-left-section a:hover {
  color: var(--cleanin-white);
  font-weight: 700;
}

/* Left section styling */
.top-header-01-left-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  color: var(--white-color);
}

.top-header-01-left-section div {
  margin-right: 24px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  font-weight: 500;
}

/* Icons styling */
.top-header-01 i {
  margin-right: 5px;
}

/* Right section styling */
.top-header-01-right-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.top-header-01-right-section a {
  color: var(--cleanin-base);
  margin-left: 24px;
  text-decoration: none;
  display: flex;
  align-items: center;
  padding: 6px 18px;
  font-weight: 700;
  line-height: 18px;
  transition: all 0.5s ease;
  font-size: 12px;
  gap: 2px;
  text-transform: none;
  /* Animation for hover */
  background: #fff;
  color: var(--e-global-color-accent);
  border-radius: 3px;
}

.top-header-01-right-section a:hover {
  color: #fff;
  background: var(--e-global-color-black);
}

/* Responsive layout */
@media (max-width: 992px) {
  .top-header-01 {
    flex-direction: column;
    align-items: flex-start;
  }

  .top-header-01-left-section {
    margin-top: 0px;
    justify-content: center;
    width: 100%;
    margin-bottom: 0px;
  }

  .top-header-01-right-section {
    margin-top: 0px;
    justify-content: center;
    width: 100%;
    margin-bottom: 3px;
  }

  .top-header-01-right-section a {
    margin-left: 0px;
    margin-top: 5px;
  }

  .top-header-01-right-section a:last-child {
    margin-left: 12px;
  }

  .top-header-01-left-section div {
    margin-right: 0px;
    margin-bottom: 1px;
  }

  .top-header-01-left-section div:last-child {
    margin-left: 13px;
  }
}
@media (max-width: 360px) {
  .top-header-01-right-section a {
    margin-left: 0px;
    width: 100%;
    justify-content: center;
    margin-top: 3px;
  }
  .top-header-01-right-section a:last-child {
    margin-left: 0px;
    margin-top: 10px;
  }
}
.top-header-01-right-section a .hover-btn {
  background-color: var(--cleanin-black);
}

/*=================================
    01 Marquee Slider
 ===================================*/
.main-container__marquee {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100vw;
  max-width: 100%;
  min-height: 3rem;
  overflow-x: hidden;
  font-size: 18px;
  color: #fff;
  background: var(--e-global-color-accent);
  margin: 0;
  z-index: 1;
}
.main-container__marquee-track {
  display: flex;
  gap: 20px;
  white-space: nowrap;
  position: relative;
  display: flex;
  overflow: hidden;
  user-select: none;
}
.main-container__marquee-items {
  flex-shrink: 0;
  display: flex;
  gap: 12px;
  justify-content: space-around;
  min-width: 100%;
  animation: marquee 90s linear infinite;
}
.main-container__marquee-item {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  width: auto;
  transition: all 0.1s ease-in-out;
  font-weight: 700;
}
.main-container__marquee-item i {
  margin-right: 12px;
}
@keyframes marquee {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}


/*=============================
   bottom bar
 ===============================*/
@media only screen and (max-width: 899px) {
  .gocube_bottom_bar01 {
    background-color: var(--e-global-color-accent);
    border: 2px solid #fff;
    border-radius: 5px;
    clear: none;
    float: left;
    margin: 0;
    padding: 0;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    display: block;
    z-index: 999;
  }

  .gocube_bottom_bar01 .botbtn {
    text-align: center;
    margin: 11px auto;
    line-height: 11px;
    color: #fff;
    border-left: 2px solid #fff;
    float: left;
    width: 20%;
    height: auto;
    box-sizing: border-box;
  }

  .gocube_bottom_bar01 .botbtn:nth-child(5) {
    border-right: 1px solid #fff;
  }

  .gocube_bottom_bar01 .botbtn i {
    color: #fff;
    font-size: 15px;
  }

  .gocube_bottom_bar01 .botbtn span {
    color: #fff;
    font-size: 7px;
  }

  body {
    margin-bottom: 49px !important;
  }
}

@media only screen and (min-width: 899px) {
  .gocube_bottom_bar01 a:nth-child(2),
  .gocube_bottom_bar01 a:nth-child(4),
  .gocube_bottom_bar01 a:nth-child(5) {
    display: none;
  }

  .gocube_bottom_bar01 a span {
    display: none;
  }

  .gocube_bottom_bar01 a:nth-child(1) {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 63px;
    left: 10px;
    background-color: var(--e-global-color-accent);
    color: #fff;
    border-radius: 5px;
    text-align: center;
    font-size: 22px;
    z-index: 100;
  }

  .gocube_bottom_bar01 a:nth-child(3) {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 13px;
    left: 10px;
    background-color: #25d366;
    color: #fff;
    border-radius: 5px;
    text-align: center;
    font-size: 22px;
    z-index: 100;
  }

  .gocube_bottom_bar01 a i {
    margin-top: 9px;
    color: #fff;
  }
}

#getQuoteModal .close-modal {
  text-align: right;
  color: var(--e-global-color-accent);
  font-size: 28px;
  position: absolute;
  right: -10px;
  top: -13px;
  z-index: 5;
}

#make-a-payment-modal .close-modal {
  text-align: right;
  color: white;
  font-size: 28px;
  position: absolute;
  right: 7px;
  top: 2px;
  z-index: 10 !important;
}

#get-a-free-quote-form .error-message {
  color: var(--cleanin-white);
}

@keyframes shake {
  0% {
    transform: translateX(0);
  }
  25% {
    transform: translateX(-5px);
  }
  50% {
    transform: translateX(5px);
  }
  75% {
    transform: translateX(-5px);
  }
  100% {
    transform: translateX(0);
  }
}

.shake {
  animation: shake 0.3s; /* 0.3 seconds ka shake animation */
}

.menu-active > a {
  color: var(--e-global-color-accent) !important; /* Apply the color to the first <a> tag only */
}
.submenu-active > a {
  color: var(--e-global-color-accent) !important; /* Apply the color to the first <a> tag only */
}
.submenu-active > a:hover {
  color: var(--cleanin-white) !important; /* Apply the color to the first <a> tag only */
}

.all-page-section-content h1 {
  padding-top: 7px !important;
  padding-bottom: 4px !important;
  font-size: 17px !important;
  font-weight: 700 !important;
  line-height: 22px !important;
  color: var(--e-global-color-accent);
  margin-bottom: 2px;
}
.all-page-section-content h2 {
  padding-top: 8px !important;
  padding-bottom: 4px !important;
  font-size: 16px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
  display: block;
}
.all-page-section-content h3 {
  padding-top: 8px !important;
  padding-bottom: 3px !important;
  font-size: 15px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
  display: block !important;
}
.all-page-section-content h4 {
  padding-top: 8px !important;
  padding-bottom: 3px !important;
  font-size: 14px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
}
.all-page-section-content li h3 {
  padding-top: 2px !important;
  padding-bottom: 1px !important;
  font-size: 15px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
}
.all-page-section-content p {
  padding-bottom: 3px !important;
  margin-bottom: 0px !important;
}

.all-page-section-content a {
  color: var(--e-global-color-accent);
  text-decoration: none;
}
.all-page-section-content ol,
.all-page-section-content ul {
  padding: 5px;
  margin: normal;
  padding-left: 2rem;
  margin-bottom: 0px;
  list-style-type: disc;
}
.all-page-section-content ol li,
.all-page-section-content ul li {
  padding-bottom: 5px;
}

.all-page-section-content hr {
  margin: 4px 0px;
}

.all-page-section-content tbody,
td,
tfoot,
th,
thead,
tr {
  border-width: thin;
  padding: 5px 10px;
}
.all-page-section-content table {
  margin-top: 6px;
  margin-bottom: 6px;
}
.all-page-section-content div {
  margin-bottom: 10px;
}

.section-title-o1 h6{
  margin-bottom: 2px !important;
}
.section-title-o1 h2{
  margin-bottom: 4px !important;
}
.section-title-o1 p{
  margin-bottom: 18px !important;
}
/* ------------------------------------ */
/* responsive layout */
/* ---------------------------------- */

@media (min-width: 1320px) {
  .container {
    max-width: 1350px;
  }
}

/* Make form responsive for mobile devices */
@media screen and (max-width: 767px) {
  .main-slider-four__single {
    padding: 105px 0px 142px;
  }
}

/* Tablet and desktop devices */
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .main-slider-four__single {
    padding: 110px 0px 140px;
  }
}

/* Desktop devices */
@media screen and (min-width: 1200px) {
  .banner5-con .banner_wrapper .banner-image img {
    width: 410px;
  }
}
.jump-reverse {
  -webkit-animation: jumpReverseAni 7s linear infinite;
  animation: jumpReverseAni 7s linear infinite;
}
@-webkit-keyframes jumpReverseAni {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}
@keyframes jumpReverseAni {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}